[pyferret] 69/110: Add postinst, prerm pointing to pyferret* binaries

Alastair McKinstry mckinstry at moszumanska.debian.org
Fri Jul 28 08:42:11 UTC 2017


This is an automated email from the git hooks/post-receive script.

mckinstry pushed a commit to branch debian/master
in repository pyferret.

commit 9228f8583e00c18e5b8b31b46de8c2d06cf55d55
Author: Alastair McKinstry <mckinstry at debian.org>
Date:   Sat Aug 13 20:43:09 2016 +0100

    Add postinst, prerm pointing to pyferret* binaries
---
 debian/python-ferret.postinst  | 24 ++++++++++++++++++++++++
 debian/python-ferret.prerm     | 11 +++++++++++
 debian/python3-ferret.postinst | 24 ++++++++++++++++++++++++
 debian/python3-ferret.prerm    | 11 +++++++++++
 4 files changed, 70 insertions(+)

diff --git a/debian/python-ferret.postinst b/debian/python-ferret.postinst
new file mode 100644
index 0000000..ca94eb4
--- /dev/null
+++ b/debian/python-ferret.postinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+   configure)
+      # Continue below
+      ;;
+   abort-upgrade|abort-remove|abort-deconfigure)
+      exit 0;
+      ;;
+   *)
+      echo "postinst called with unknown argument \`$1'" >&2
+      exit 0;
+      ;;
+esac
+
+update-alternatives \
+        --install /usr/bin/pyferret pyferret /usr/bin/pyferret2 50 \
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/debian/python-ferret.prerm b/debian/python-ferret.prerm
new file mode 100644
index 0000000..ecfcdad
--- /dev/null
+++ b/debian/python-ferret.prerm
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" != "upgrade" ]; then
+        update-alternatives --remove pyferret /usr/bin/pyferret2
+fi
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/python3-ferret.postinst b/debian/python3-ferret.postinst
new file mode 100644
index 0000000..2c043b2
--- /dev/null
+++ b/debian/python3-ferret.postinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+   configure)
+      # Continue below
+      ;;
+   abort-upgrade|abort-remove|abort-deconfigure)
+      exit 0;
+      ;;
+   *)
+      echo "postinst called with unknown argument \`$1'" >&2
+      exit 0;
+      ;;
+esac
+
+update-alternatives \
+        --install /usr/bin/pyferret pyferret /usr/bin/pyferret3 100 \
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/debian/python3-ferret.prerm b/debian/python3-ferret.prerm
new file mode 100644
index 0000000..1831470
--- /dev/null
+++ b/debian/python3-ferret.prerm
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" != "upgrade" ]; then
+        update-alternatives --remove pyferret /usr/bin/pyferret3
+fi
+
+#DEBHELPER#
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/pyferret.git



More information about the debian-science-commits mailing list